Bug 646725 (CVE-2010-3861) - CVE-2010-3861 kernel: heap contents leak from ETHTOOL_GRXCLSRLALL
Summary: CVE-2010-3861 kernel: heap contents leak from ETHTOOL_GRXCLSRLALL
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3861
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20101026,public=20101008,sou...
Depends On: 646726 646727 646728 647417 647418 647419 647420
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-26 03:30 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-08 17:34:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0958 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-12-08 19:08:55 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description Eugene Teo (Security Response) 2010-10-26 03:30:16 UTC
Description of problem:
Calling ETHTOOL_GRXCLSRLALL with a large rule_cnt will allocate kernel heap without clearing it. For the one driver (niu) that implements it, it will leave the unused portion of heap unchanged and copy the full contents back to userspace.

This is different from CVE-2010-2478, but was introduced at the same time
(0853ad66, 2.6.27-rc1).

Upstream commit:
http://git.kernel.org/linus/ae6df5f96a51818d6376da5307d773baeece4014

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.

Comment 2 Eugene Teo (Security Response) 2010-10-26 03:44:44 UTC
This is a follow-up of CVE-2010-2478. Also see https://bugzilla.redhat.com/show_bug.cgi?id=608950#c2.

Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 3 and 4, as they do not include support for the Neptune
Ethernet driver. It did not affect Red Hat Enterprise Linux 5 as it did not contain the upstream commit 0853ad66 that introduced this flaw.

Comment 4 errata-xmlrpc 2010-12-08 19:09:39 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 5 errata-xmlrpc 2011-01-11 19:45:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html


Note You need to log in before you can comment on or make changes to this bug.